package util

import (
	"fmt"
	"runtime"
)

func PrintCallTrace(depth int) {
	funcname, file, line, ok := runtime.Caller(depth)
	if ok {
		fmt.Printf("[%s:%d %s]\n", file, line, runtime.FuncForPC(funcname).Name())
	}
}
